{% extends "users/userspace.html" %}

{% load template_utils %}

{% block scripts %}

<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet">
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>

<script>
    $(document).ready(function() {
        $('.select2').select2();
        $.ajax({
            url: '/account/get_all_users',
            success: function(data) {
                data.unshift({ id: '', text: 'Tous les utilisateurs' });
                $('.select2').select2({
                    data: data
                });

                var selectedValue = "{{ request.GET.user_id }}";
                if (selectedValue) {
                    $('.select2').val(selectedValue).trigger('change');
                }
            }
        });
    });
</script>
{% endblock %}

{% block content %}
    <div class="container mt-5">
        <h1>Liste des contrats</h1>
        <form method="get" action="" class="d-flex align-items-center flex-row flex-wrap my-3">
            <label class="me-3 my-2" for="user_email_input">Filtrer les contrats par utilisateur : </label>
            <select class="form-control select2 my-2" id="user_id_input" name="user_id" style="width: 35em;"></select>
            <label class="ms-3 me-2 my-2" for="archive_select">Inclure les contrats archivés : </label>
            <input type="checkbox" class="form-check-input" id="archive_select" name="archive" {% if request.GET.archive %}checked{% endif %}>
            <button class="ms-3 btn btn-secondary my-2" type="submit"><i class="fas fa-filter me-2"></i>Filtrer</button>
        </form>
        <div class="table-responsive">
            <table class="table table-striped table-hover align-middle">
                <thead>
                <tr>
                    <th class="pe-1">
                        Numéro de contrat
                    </th>
                    <th class="pe-1">
                        Souscripteur
                    </th>
                    <th class="pe-1">
                        Ferme
                    </th>
                    <th class="pe-1">
                        Statut
                    </th>
                    <th class="pe-1">
                        Nombre de distributions
                    </th>
                    <th class="pe-1">
                        Montant total
                    </th>
                    <th class="pe-1">
                        Détails
                    </th>
                </tr>
                </thead>
                <tbody>
                {% for contrat in contrats %}
                <tr>
                    <td class="pe-1 fw-bold text-center">
                        {{ contrat.id }}
                    </td>
                    <td class="pe-1">
                        <a href="{% url 'user_details_admin' contrat.souscripteur.id %}"
                                   target="_blank">
                        {{ contrat.souscripteur }}
                        </a>
                    </td>
                    <td class="pe-1">
                        <a href="{% url 'farm_details_admin' contrat.ferme.id %}"
                                   target="_blank">
                        {{ contrat.ferme }}
                        </a>
                    </td>
                    <td class="pe-1">
                        {{ contrat.statut }}
                    </td>
                    <td class="pe-1  text-center">
                        {{ contrat.nombre_livraisons }}
                    </td>
                    <td class="pe-1  text-center">
                        {{ contrat.valeur_totale|floatformat:"2" }} €
                    </td>
                    <td class="pe-1">
                        <a type="button" class="btn btn-link" href="{% url 'contrat_details' contrat.id %}">
                            <i class="fas fa-edit me-1"></i>Modifier
                        </a>
                    </td>
                </tr>
            {% endfor %}
            {% if contrats|length == 0 %}
            <tr>
                <td colspan="7" class="text-center">
                Aucun résultat
                </td>
            </tr>
            {% endif %}
                </tbody>
            </table>
        </div>

    {% pagination_widget page_obj request %}

    </div>

{% endblock %}
